package org.iri_research.renkan.models;

import org.springframework.data.mongodb.core.mapping.Field;

import com.fasterxml.jackson.annotation.JsonProperty;

public class NodeStyle extends AbstractStyle {

    public NodeStyle() {};
    
    public NodeStyle(String color, boolean dash, int thickness, String titleColor, double titleSize) {
        super(color, dash, thickness);
        this.titleColor = titleColor;
        this.titleSize = titleSize;
    }
    
    @Field("title_color")
    @JsonProperty("title_color")
    private String titleColor;

    @Field("title_size")
    @JsonProperty("title_size")
    private double titleSize;


    @JsonProperty("title_color")
    public String getTitleColor() {
        return titleColor;
    }

    public void setTitleColor(String titleColor) {
        this.titleColor = titleColor;
    }

    @JsonProperty("title_size")
    public double getTitleSize() {
        return titleSize;
    }

    public void setTitleSize(double titleSize) {
        this.titleSize = titleSize;
    }



}
